Subject: IPP> May 21st Conference Call

From: [email-masked]
Date: Fri, 30 May 1997 09:54:37 -0400

(Embedded image moved to file: PIC11844.PCX)

To:       [email-masked]
cc:
From:     Don Wright @ LEXMARK@LEXMTA
          Manager, Strategic Alliances
          Dept C14L, Bldg 035-3
          Lexington, Ky 40511
          Phone: 606-232-4808
          Fax: 606-232-6740
Date:     05/30/97 09:54:37 AM
Subject:  May 21st Conference Call

As I was working on this week's conference call minutes, I noticed I
forgot to post last week's, so here they are.  I have posted TXT and
PDF versions on the server at:

ftp://ftp.pwg.org/pub/pwg/ipp/minutes/970521-ipp-conference-call.pdf
ftp://ftp.pwg.org/pub/pwg/ipp/minutes/970521-ipp-conference-call.txt

The text version is attached.  This week's minutes will be later today.

---------------------------------
PWG - Internet Printing Project
Conference Call - May 21, 1997

The meeting was called to order at 4:10 PM EDT.

Attendees:

Bob Herriott - Sun
Carl-Uno Manros - Xerox
Don Wright - Lexmark
Tom Hastings - Xerox
Lee Farrell - Canon
Jeff Copeland - QMS
Jay Martin - Underscore
Richard Schneider - Epson
Steve Gebert - IBM
Jim Walker - Dazel
Angelo Caruso - Xerox
Scott Isaacson - Novell

Planned Agenda:

- Follow-up on San Diego meeting
- Coordination between JMP and IPP

San Diego Meeting Follow-up

Carl-Uno thought we had agreed to have separate documents covering the
encoding of the operations and
the mapping of that encoding to a specific transport.  There is not a clear
 agreement among the group
because each time one of the documents changes then all the documents that
point to it must be updated
with new reference information.  On the other side, having everything in a
single document may be
intimidating to the first time reader.

If we are going to have review drafts available for the Munich IETF, we
should probably have an
intermediate draft between now and the IETF draft deadline.

The next draft of Paul Moore's document will be called IPP Level 1 rather
than SWP.

An issue was raised as to whether level 1 conformance would include the
validate operation.  Since the level
1 implementations will not support the GET_ATTRIBUTES function, the
validate operation would provide
a way to determine if various attributes are supported.

Description on how to do multiple documents per job will not be included in
 the level one conformance
document.  This issue will be addressed by the protocol group.

The model groups efforts will now move to be comments and discussion on
specific text rather than the
more free form discussions.

There will be a security conference call on May 22nd.  Goal for the next
draft is to be available within the
next two weeks (for internal IPP review.)

Asynchronous Notification - currently the model document defines that the
notification occurs to a URL
which could be a "mailto" or an "http" URL.  Coding and messages have not
been defined.  Reviewers need
to read the model document and feedback what needs to be added, clarified,
or changed.

Coordination between IPP and JMP

There are some differences between how JMP and IPP deal with the
"job-state" and "job-state-reason" and
this information is reported.  The group felt some of these difference are
far from the norm and should be
handled in the simplest possible way and not mandatory for implementations.

The group leaned toward having three job states: Aborted, Canceled and
Completed.  With these states, the
importance of "job state reason" would be less.  The IPP reasons would be a
 subset of the JMP reasons.
The JMP reasons (especially the new ones) should be reviewed and a
determination made as to their
inclusion in IPP.  A long discussion was held over the various reasons and
what they mean.  There was a
belief that these reasons need be very obvious and clear.  Backwards
movements from one state to another
will not be defined and listed as "unlikely."

Changes to Job State Reasons
* Job Incomplete - Incoming submission in progress
* Reasons that hold a job should have the word HELD in the name
* Don't need a generic job hold attribute in IPP
* delete aborted by system

Tom Hastings will create a "Day in the Life of a Printer" to better
describe the various things that can
happen when printing.

Documents

Carl-Uno made a proposal to have 4 transport independent documents:
* Model-Semantics
* Security
* Directory Schema
* IPP Syntax and Encoding of Operations

and a transport dependent document:
* IPP on HTTP

Carl-Uno will send this proposal to the Area Directors and to the mailing
list.

Miscellaneous

Model teleconference calls are on hold for right now.  Discussions will be
on the document and not general
design sessions.

The meeting adjourned at 6:10PM EDT
---------------------------------

Best Regards,
Don